# GET Session Photos

```
https://openapi.paveapi.com/v1/sessions/:session_key/photos
```

Replace **`:session_key`** with the unique **`session_key`** returned from your previous request, and PAVE will return the corresponding session photos that have been captured and if they were rejected or passed PAVE's image QA process when first captured. When an image is rejected, you will also see the reason in the **`approved_message`.**&#x20;

| Path Parameters   |        |                                                                |
| ----------------- | ------ | -------------------------------------------------------------- |
| **`session_key`** | string | Unique session\_key generated when the new session was created |

| Headers             |        |                                                    |
| ------------------- | ------ | -------------------------------------------------- |
| **`API-Key`**       | string | The API-Key that was provided for your account     |
| **`API-Token`**     | string | The API-Token used when the session was created    |
| **`API-Timestamp`** | string | UTC Datetime string, example: 2021-05-30T12:49:19Z |

#### Sample Response (200:Ok)

Returns list of captured photos: including phototype (photo\_label), image URL, QA status and message, and timestamps for when each was captured or recaptured.&#x20;

```
[
    {
        "photo_code": 1,
        "photo_label": "VIN",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:16+00:00",
        "updated_at": "2021-05-27T07:37:05+00:00"
    },
    {
        "photo_code": 2,
        "photo_label": "Interior",
        "url": "https://your_capture_photo_url.jpg",
        "approved": false,
        "approved_message": "REJECTED: Wrong View",
        "created_at": "2021-05-27T07:36:19+00:00",
        "updated_at": "2021-05-27T07:36:34+00:00"
    },
    {
        "photo_code": 3,
        "photo_label": "Cluster",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:21+00:00",
        "updated_at": "2021-05-27T07:36:41+00:00"
    },
    {
        "photo_code": 4,
        "photo_label": "Left",
        "url": "https://your_capture_photo_url.jpg",
        "approved": false,
        "approved_message": "REJECTED: Wrong View",
        "created_at": "2021-05-27T07:36:24+00:00",
        "updated_at": "2021-05-27T07:37:36+00:00"
    },
    {
        "photo_code": 10,
        "photo_label": "Front_Left",
        "url": "https://your_capture_photo_url.jpg",
        "approved": false,
        "approved_message": "REJECTED: Please recapture the photo, ensuring that the vehicle is fully in frame for this angle.",
        "created_at": "2021-05-27T07:36:26+00:00",
        "updated_at": "2021-05-27T07:36:56+00:00"
    },
    {
        "photo_code": 5,
        "photo_label": "Front",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:29+00:00",
        "updated_at": "2021-05-27T07:37:47+00:00"
    },
    {
        "photo_code": 2,
        "photo_label": "Interior",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:34+00:00",
        "updated_at": "2021-05-27T07:38:19+00:00"
    },
    {
        "photo_code": 11,
        "photo_label": "Front_Right",
        "url": "https://your_capture_photo_url.jpg",
        "approved": false,
        "approved_message": "REJECTED: Wrong View",
        "created_at": "2021-05-27T07:36:36+00:00",
        "updated_at": "2021-05-27T07:38:30+00:00"
    },
    {
        "photo_code": 7,
        "photo_label": "Right",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:38+00:00",
        "updated_at": "2021-05-27T07:38:41+00:00"
    },
    {
        "photo_code": 12,
        "photo_label": "Rear_Right",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:42+00:00",
        "updated_at": "2021-05-27T07:38:53+00:00"
    },
    {
        "photo_code": 8,
        "photo_label": "Rear",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:44+00:00",
        "updated_at": "2021-05-27T07:39:03+00:00"
    },
    {
        "photo_code": 13,
        "photo_label": "Rear_Left",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:51+00:00",
        "updated_at": "2021-05-27T07:39:21+00:00"
    },
    {
        "photo_code": 9,
        "photo_label": "Windshield",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:53+00:00",
        "updated_at": "2021-05-27T07:39:31+00:00"
    },
    {
        "photo_code": 6,
        "photo_label": "Tires",
        "url": "https://your_capture_photo_url.jpg",
        "approved": true,
        "approved_message": "ACCEPTED",
        "created_at": "2021-05-27T07:36:56+00:00",
        "updated_at": "2021-05-27T07:39:40+00:00"
    }
]
```

**Sample Response (404: Not Found)**

```
{
    "message": "Session :session_key cannot be found."
}
```

| User Capture Step | Photo Code | Photo Type   | Nullable                                       |
| ----------------- | ---------- | ------------ | ---------------------------------------------- |
| **1**             | **`1`**    | VIN          | default image URL provided if manually entered |
| **2**             | **`2`**    | Interior     | no                                             |
| **3**             | **`3`**    | Cluster      | default image URL provided if manually entered |
| **4**             | **`4`**    | Left         | yes, if all other needed images are captured   |
| **5**             | **`10`**   | Front\_Left  | yes, if all other needed images are captured   |
| **6**             | **`5`**    | Front        | yes, if all other needed images are captured   |
| **7**             | **`11`**   | Front\_Right | yes, if all other needed images are captured   |
| **8**             | **`7`**    | Right        | yes, if all other needed images are captured   |
| **9**             | **`12`**   | Rear\_Right  | yes, if all other needed images are captured   |
| **10**            | **`8`**    | Rear         | yes, if all other needed images are captured   |
| **11**            | **`13`**   | Rear\_Left   | yes, if all other needed images are captured   |
| **12**            | **`9`**    | Windshield   | no                                             |
| **13**            | **`6`**    | Tires        | no                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/sessions-1/get-a-session-photos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
